# Create a Price List Creates a new Price List. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICELIST_ADD | Administer Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR) Endpoint: POST /pricelistmanager.add Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `data` (object, required) - `data.priceListName` (string, required) Specifies parameter names and values used for formula computation. - `data.targetDate` (string, required) Set the validity date of the price list. - `data.errorMode` (string, required) - `data.keepManualOverrides` (any) A flag to indicate if manual overrides should be preserved in the revision. - `data.useFilter` (any) Specifies whether the original product filter criteria (if still available/applicable) should be used. - `data.writeOnlyChangedItems` (any) A flag to indicate if only items with price changes should be written to the revision. - `data.configuration` (object) - `data.configuration.shotgunModeEnabled` (boolean) - `data.configuration.notifyWhenFinished` (string) - `data.configuration.plTypeTypeId` (any) - `data.configuration.preferencesSource` (number) - `data.configuration.sortKeys` (any) - `data.configuration.defaultFormulaOverride` (string) - `data.configuration.resultElementName` (string) - `data.configuration.matrixFormulaName` (any) - `data.configuration.matrixElementName` (any) - `data.configuration.uomOverrideElementName` (any) - `data.configuration.currencyOverrideElementName` (any) - `data.configuration.elementNames` (array) - `data.configuration.hiddenElementNames` (array) - `data.configuration.formulaParameters` (object) - `data.override` (any) If set to true, adds products from products selection criteria to the price list and will override existing results if present. If set to false, adds products, but will not override results. If this value is null, then a revision of the entire Price List is triggered. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.targetDate` (string) - `response.data.label` (string) - `response.data.locale` (string) - `response.data.calculationMessages` (any) - `response.data.numberOfItems` (number) - `response.data.keepManualOverrides` (boolean) - `response.data.writeOnlyChangedItems` (boolean) - `response.data.configuration` (string) - `response.data.errorMode` (string) - `response.data.pricelistType` (string) - `response.data.nodeId` (any) - `response.data.previousPricelistId` (any) - `response.data.expiryDate` (any) - `response.data.approvalState` (string) - `response.data.description` (any) - `response.data.userGroupEdit` (any) - `response.data.userGroupViewDetails` (any) - `response.data.workflowStatus` (any) - `response.data.submittedByName` (any) - `response.data.integrationStatus` (any) - `response.data.createdByName` (string) - `response.data.lastUpdateByName` (string) - `response.data.jstId` (number) - `response.data.approvedByName` (any) - `response.data.deniedByName` (any) - `response.data.approvalRequiredEmailAttachments` (any) - `response.data.updatedBy` (number) - `response.data.updateDate` (string) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.data.status` (string) - `response.data.calculationStartDate` (any) - `response.data.calculationDate` (any) - `response.data.approvalDate` (any) - `response.data.submitDate` (any) - `response.data.exportDate` (any) - `response.data.id` (number)